# TestReport

API Documentation: | `TestReport`

Generates an HTML test report from the results of one or more `Test` tasks.

### Properties

Property | Description
`destinationDirectory` | The directory to write the HTML report to.
`testResults` | The set of binary test results to include in the report.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `DirectoryProperty` `destinationDirectory`

The directory to write the HTML report to.

#### `ConfigurableFileCollection` `testResults` (read-only)

The set of binary test results to include in the report.